PROGRAM_NAME='TOA_D901'

(********************************************************************)
(* FILE CREATED ON: 09/07/04  AT: 15:37:38                          *)
(********************************************************************)
(*  FILE_LAST_MODIFIED_ON: 09/07/04 AT: 15:37:38           *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 09/07/04                                *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)
// Cable used is FG#10-752
DEFINE_DEVICE
dvTOA_D901=5001:1:0 //real device

dvTP   =128:1:0

vdvTOA_D901=33001:1:0 //virtual device

DEFINE_CONSTANT

INTEGER TOA_D901_BUTTONS[]=
{
  1, //1-  Input up 
  2, //2-  Input down
  3, //3-  Input 1 Enable
  4, //4-  Input 2 Enable 
  5, //5-  Input 3 Enable
  6, //6-  Input 4 Enable
  7, //7-  Input 5 Enable
  8, //8-  Input 6 Enable
  9, //9-  Input 7 Enable
 10, //10- Input 8 Enable
 11, //11- Input 9 Enable
 12, //12- Input 10 Enable
 13, //13- Input 11 Enable
 14, //14- Input 12 Enable 
 15, //15- Toggle All Inputs
 16, //16- Output up
 17, //17- Output down
 18, //18- Output 1 Enable
 19, //19- Output 2 Enable
 20, //20- Output 3 Enable
 21, //21- Output 4 Enable
 22, //22- Output 5 Enable
 23, //23- Output 6 Enable
 24, //24- Output 7 Enable
 25, //25- Output 8 Enable
 26, //26- Toggle All Outputs
 27, //27- Matrix Input up
 28, //28- Matrix Input down
 29, //29- Matrix Output 1 up
 30, //30- Matrix Output 1 down
 31, //31- Matrix Output 2 up
 32, //32- Matrix Output 2 down
 33, //33- Matrix Output 3 up
 34, //34- Matrix Output 3 down
 35, //35- Matrix Output 4 up
 36, //36- Matrix Output 4 down
 37, //37- Matrix Output 5 up
 38, //38- Matrix Output 5 down
 39, //39- Matrix Output 6 up
 40, //40- Matrix Output 6 down
 41, //41- Matrix Output 7 up
 42, //42- Matrix Output 7 down
 43, //43- Matrix Output 8 up
 44, //44- Matrix Output 8 down
 45, //45- Preset 1
 46, //46- Preset 2
 47, //47- Preset 3
 48, //48- Preset 4
 49, //49- Preset 5
 50, //50- Offline/Online indicator
 51, //51- Input menu button
 52, //52- Output menu button
 53, //53- Matrix menu button
 54, //54- Preset menu button
 55, //55- Input Level up
 56, //56- Input Level down
 57, //57- Output Level up
 58  //58- Output Level down
}

INTEGER TOA_D901_TEXT[]=
{
  1, //1- Input selected text box
  2, //2- Output selected text box
  3, //3- Matrix Input selected text box
  4, //4- Matrix Output 1 Level text box  
  5, //5- Matrix Output 2 Level text box
  6, //6- Matrix Output 3 Level text box
  7, //7- Matrix Output 4 Level text box   
  8, //8- Matrix Output 5 Level text box   
  9, //9- Matrix Output 6 Level text box   
 10, //10-Matrix Output 7 Level text box   
 11, //11-Matrix Output 8 Level text box   
 12, //12-Input Level text
 13  //13-Output Level text
}

INTEGER TOA_D901_LEVELS[]=
{
//////////// Levels //////////////
  1, //1- Input level
  2  //2- Output level

}
DEFINE_MODULE 'TOA_D901_COMM' comm_code(vdvTOA_D901,dvTOA_D901)
DEFINE_MODULE 'TOA_D901_UI' ui_code(vdvTOA_D901, dvTP, TOA_D901_BUTTONS, TOA_D901_TEXT, TOA_D901_LEVELS)
